package edu.harvard.mgh.purcell.gplink.mainGUI;

import javax.swing.JOptionPane;

/**
 * A wrapper class for JOptionPane that displays our gPLINK
 * errors.
 * @author Kathe
 *
 */
@SuppressWarnings("serial")
public class ErrorDialog {//extends JDialog{
	
	//private MainFrame parent;
	private String errorMessage;
	private int max_line_length = 30;

	/*ActionListener close = new ActionListener(){

		public void actionPerformed(ActionEvent arg0) {
			//parent.data.gplinkLog.unpause();
			ErrorDialog.this.dispose();
		}
		
	};*/
	private String wrap(String text){
//		split the message at the white spaces and
		//...put the message back together such that
		//...there is a \n atleast every 20 charactures
		
		if(text.length() > max_line_length){
			
			int index = max_line_length - 1;
			while(index < text.length()){
				if(text.charAt(index) == (' ')){
					text = text.substring(0, index) + " \n"
						+ text.substring(index, text.length());
					index = index + max_line_length;
				}
				else{
					index ++;
					
				}
			}
		}
		return text;
	}
	
	/*private void createLayout(){
		this.getContentPane().setLayout(
				new BoxLayout(this.getContentPane(), 
						BoxLayout.PAGE_AXIS));
		JTextArea message = new JTextArea(5, max_line_length);
		message.setText(errorMessage);
		this.getContentPane().add(message);
		
		JButton ok = new JButton("OK");
		ok.addActionListener(close);
	}*/
	
	public ErrorDialog(MainFrame frame, String message){
		//super(frame, "gPLINK Error");
		//parent = frame;
		errorMessage = wrap(message);
		//createLayout();
		
		//frame.data.gplinkLog.pause();
		
		JOptionPane.showMessageDialog(frame,
			    errorMessage,
			    "GPLINK error",
			    JOptionPane.ERROR_MESSAGE);
			   
	}
	
	public static void main(String[] args) {
		new ErrorDialog(null, "1234567890 1234567890 1234567890 1234567890 1234567890");
		
	}
}
